<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/pmc/ttpmc2220m000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">PMC Cleanup (ttpmc2220m000)</Title>
		<Keyword ContextSensitive="No"><Level1>PMC</Level1>
			<Level2>cleanup</Level2>
		</Keyword>
		<Keyword ContextSensitive="No"><Level1>cleanup</Level1>
		</Keyword>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default">
                                 Use this session to clean up PMC, which helps save disk space.</Paragraph>
			<List><ListIntro>This session can delete three types of PMC data:</ListIntro>
				<ListItemHead>Solution dumps</ListItemHead>
				<ListItem>Stored in the system when solutions are scanned. The dumps are used for the installation. Refer to the Help on the <Link href="/baanerp/tt/pmc/ttpmc2220m000#sol.dumps" role="formfield">Solution Dumps</Link> field for more information.</ListItem>
				<ListItemHead>Uninstall dumps</ListItemHead>
				<ListItem>Created during the installation of solutions if you select the option to save the components. The uninstall dumps are used to uninstall the solutions. Refer to the Help on the <Link href="/baanerp/tt/pmc/ttpmc2220m000#uninst.dumps" role="formfield">Uninstall Dumps</Link> field for more information.</ListItem>
				<ListItemHead>PMC Registry</ListItemHead>
				<ListItem>Contains data about the solutions. Use this option to remove the data for a complete <Link href="/baanerp/tt/glossary/glossary#100255" role="glossary">update VRC</Link>. Refer to the Help on the <Link href="/baanerp/tt/pmc/ttpmc2220m000#registry" role="formfield">PMC Registry</Link> field for more information.</ListItem>
			</List>
			<Figure space-and-orientation="indented-estimated"><FigIntro>The following figure shows the form of the session:</FigIntro>
				<HTML:IMG height="295" width="692" SRC="../images/pmc_ttpmc2220m000.gif" path="/enterpriseserver/tools/tt/ttpmc" btb-count="1" btb-count2="1" btb-image-name="pmc_ttpmc2220m000.gif" btb-source-path="C:\SVN\docnl\Technology\EnterpriseServer~8.5\EnterpriseServer" btb-image-path="/enterpriseserver/tools/tt/images/pmc_ttpmc2220m000.gif" ID="IDAX0XBC" alt="[...]" xmlns:HTML="http://www.w3.org/TR/REC-html40"/></Figure>
		</AimSection>
		<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/pmc_introduction" role="manual">PMC introduction</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/pmc_overview" role="manual">PMC overview</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/pmc_distributor_procedure" role="manual">PMC distributor procedure</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/pmc_recipient_procedure" role="manual">PMC recipient procedure</Link>
			</RelTopic>
		</RelatedTopics>
	</HelpTopic>
	<Fields><FieldHelp ID="uver" OtherIDs="urel ucus"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Update VRC</Title>
			</Header>
			<FuncDesc>A physical VRC at the PMC recipient side in which updates are installed. Every update VRC has a <Link href="/baanerp/tt/glossary/glossary#100249" role="glossary">base VRC</Link> linked.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="sol.dumps"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Solution Dumps</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, all solution dumps are deleted from the directory that is specified in the <Link href="/baanerp/tt/pmc/ttpmc0100s000#ttpmc000.pisd" role="formfield">Path for Individual Solution Dumps</Link> field in the <Link href="/baanerp/tt/pmc/ttpmc0100s000" role="session">Parameters (ttpmc0100s000)</Link> session.</FuncDesc>
			<SimpleSection><List><ListIntro>The solution dumps are deleted if the following criteria are met:</ListIntro>
					<ListItem>The solution is installed in all <Link href="/baanerp/tt/glossary/glossary#100255" role="glossary">update VRCs</Link> to which the solution is connected.</ListItem>
					<ListItem>The installation date in all update VRCs is before or on the date specified in the <Link href="/baanerp/tt/pmc/ttpmc2220m000#install.date" role="formfield">Up to Installation Date</Link> field.</ListItem>
					<ListItem>If you specified a <Link href="/baanerp/tt/glossary/glossary#100256" role="glossary">patch</Link> in the <Link href="/baanerp/tt/pmc/ttpmc2220m000#gsol" role="formfield">Up to Patch</Link> field, the solution must belong to this patch or a previous patch.</ListItem>
				</List>
			</SimpleSection>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<Paragraph class="Default">If a solution dump is deleted, you can no longer install that solution in another <Link href="/baanerp/tt/glossary/glossary#100255" role="glossary">update VRC</Link>, unless you scan the solution again.</Paragraph>
			</Note>
		</FieldHelp>
		<FieldHelp ID="uninst.dumps"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Uninstall Dumps</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, all uninstall dumps are deleted from the directory that is specified in the <Link href="/baanerp/tt/pmc/ttpmc0100s000#ttpmc000.pund" role="formfield">Path for Uninstall Dumps</Link> field in the <Link href="/baanerp/tt/pmc/ttpmc0100s000" role="session">Parameters (ttpmc0100s000)</Link> session.</FuncDesc>
			<SimpleSection><List><ListIntro>The uninstall dumps are deleted if the following criteria are met:</ListIntro>
					<ListItem>The installation date in all <Link href="/baanerp/tt/glossary/glossary#100255" role="glossary">update VRCs</Link> is before or on the date specified in the <Link href="/baanerp/tt/pmc/ttpmc2220m000#install.date" role="formfield">Up to Installation Date</Link> field.</ListItem>
					<ListItem>If you specified a <Link href="/baanerp/tt/glossary/glossary#100256" role="glossary">patch</Link> in the <Link href="/baanerp/tt/pmc/ttpmc2220m000#gsol" role="formfield">Up to Patch</Link> field, the solution must belong to this patch or a previous patch.</ListItem>
				</List>
			</SimpleSection>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<Paragraph class="Default">If an uninstall dump of a solution is deleted, you can no longer uninstall that solution.</Paragraph>
			</Note>
		</FieldHelp>
		<FieldHelp ID="gsol" OtherIDs="bver brel bcus"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Up to Patch</Title>
			</Header>
			<FuncDesc>Indicates until which patch you must delete solution dumps and uninstall dumps.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The patch that contains the solutions must be previous or equal to the patch specified in this field.</Paragraph>
			</SimpleSection>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListItem>Solutions do not have to have been installed as part of a patch. The solutions might have been installed previous to the installation of the patch. The issue at stake is only that the content of installed patches is used as selection criterion to select the dumps you want to delete.</ListItem>
					<ListItem>Solutions that are installed, but that are not included in an installed patch, cannot be selected this way.</ListItem>
					<ListItem>If you leave this field blank, the selection of the dumps in the specified <Link href="/baanerp/tt/glossary/glossary#100249" role="glossary">base VRC</Link> will not be based on patches, but only on the installation date of the solutions. Refer to the Help on the <Link href="/baanerp/tt/pmc/ttpmc2220m000#install.date" role="formfield">Up to Installation Date</Link> field for more information.</ListItem>
				</List>
			</Note>
		</FieldHelp>
		<FieldHelp ID="install.date"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Up to Installation Date</Title>
			</Header>
			<FuncDesc>Indicates until which installation date you must delete solution dumps and uninstall dumps.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The installation date of the solutions must be previous or equal to the date specified in this field.</Paragraph>
			</SimpleSection>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListItem>To clean up solution dumps or uninstallation dumps, you must select a date in this field.</ListItem>
					<ListItem>This field is not relevant if you select the <Link href="/baanerp/tt/pmc/ttpmc2220m000#registry" role="formfield">PMC Registry</Link> check box.</ListItem>
				</List>
			</Note>
		</FieldHelp>
		<FieldHelp ID="registry"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">PMC Registry</Title>
				<Keyword ContextSensitive="No"><Level1>PMC</Level1>
					<Level2>Registry</Level2>
				</Keyword>
				<Keyword ContextSensitive="No"><Level1>Registry</Level1>
				</Keyword>
			</Header>
			<FuncDesc>
                                 If this check box is selected, all information in the the PMC registry for the <Link href="/baanerp/tt/glossary/glossary#100255" role="glossary">update VRC</Link> specified in this session is deleted.</FuncDesc>
			<SimpleSection><Paragraph class="Default">This option is only intended for update VRCs that you want to remove from your system. You cannot use this option for update VRCs that are still in use, because PMC requires information about previous solutions when it performs checks to install new solutions.</Paragraph>
				<Paragraph class="Default">The registry can only be cleaned up if the update VRC is empty, which means that all components and all uninstall dumps are deleted from this <Link href="/baanerp/tt/glossary/glossary#100016" role="glossary">VRC</Link>.</Paragraph>
				<List><ListIntro>To remove a complete update VRC, take the following steps:</ListIntro>
					<ListItem>Use the current session, to delete the uninstall dumps.</ListItem>
					<ListItem>Delete all components, for all packages from the update VRC by means of the <Link href="/baanerp/tt/adv/ttadv6250m000" role="session">Delete Software Components by Package VRC (ttadv6250m000)</Link> session.</ListItem>
					<ListItem>Delete the PMC Registry by means of the current session.</ListItem>
					<ListItem>Delete the update VRC structure by means of the <Link href="/baanerp/tt/pmc/ttpmc2241s000" role="session">Delete Update VRC Structure (ttpmc2241s000)</Link> session.</ListItem>
				</List>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="print.report"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Print Report</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, a concise report of the results of the clean-up is printed.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="extended.report"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Detailed Report</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, a detailed report of the results of the clean-up is printed.</FuncDesc>
		</FieldHelp>
	</Fields>
	<FormCommands><CommandHelp ID="exec.cont.process"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Cleanup</Title>
			</Header>
			<FuncDesc>Deletes the selected solution dumps and/or uninstall dumps, or cleans up the PMC registry.</FuncDesc>
		</CommandHelp>
	</FormCommands>
</Session>
